YOURLS 1.7.2

Hello World! I’ve had some free time recently to devote to your favorite URL shortener, and as a result the latest is now YOURLS 1.7.2. Update now and be sure your friends update too!

What’s new? This is a bugfix lil’ release and you will probably won’t notice much if you don’t inspect under the hood. For those interested of course the CHANGELOG keeps track of everything that has been improved, added or fixed.

The only real “major” news is that PHP 5.2 support is officially dropped. To be honest it’s been unofficially supported for quite some time now, and if you still happen to run PHP 5.2 and YOURLS works on it, cool for you, but it should be definitely broken on your side from now on. For the record, as of today less than 2.9% of all YOURLS installs still run on 5.2, while 22% are on 5.3, 28% on 5.4, 20% on 5.5, 20% on 5.6 — as you can see this is pretty even — and just above 5% of you folks running PHP 7+. Yes, in case you were unaware, YOURLS is running fine on PHP 7+.

How to update? Same business as usual. Simply download the archive and overwrite all existing files. While you’re at it, why don’t you backup your database data? I’m sure it’s been a while already since last time :)

Update and tell your friends and family to update too!

Short URL to this post: http://yourls.org/du

YOURLS 1.7.1

Hello world! Your favorite URL shortener just got some love and the latest is now YOURLS 1.7.1. Update and let your friends know!

What’s new? Lots of bug fixes, lots of improvements, nothing that will rock your socks in awe, but several things you won’t notice because they just work better :) See the changelog for more details.

How to update? If updating through the command line is too hardcore for you, just download the archive and overwrite your existing install. This update doesn’t contain anything scary, but of course that’s no reason not to have a proper backup of your data from time to time, right? :)

What’s next? We’ll continue our slow trip down the road map but the most noticeable change for a few of you will be that we are going to start breaking things!

  • we’re dropping PHP 5.2 support. As of today 3.8% of all YOURLS installs run this super deprecated PHP version: folks, please.
  • We’ll probably drop MySQL support as well. An overhaul of the DB stuff has been planned for long, MySQL is deprecated in newer PHP builds, so we’ll very most likely switch to PDO. Sorry for the 1.9% of you that don’t have PDO installed on their server, but that is not something that’s acceptable from a decent web host :)

Update and tell your friends and family to update too!

Short URL to this post: http://yourls.org/dl